PROJECT_NAME     = "ALSA project - the C library reference"
OUTPUT_DIRECTORY = doxygen
GENERATE_LATEX   = NO
GENERATE_MAN     = NO
GENERATE_RTF	 = NO

CASE_SENSE_NAMES = NO
INPUT            = ../../alsa-lib-1.2.5.1/doc/index.doxygen \
		   ../../alsa-lib-1.2.5.1/include/asoundlib.h \
		   ../../alsa-lib-1.2.5.1/include/version.h \
		   ../../alsa-lib-1.2.5.1/include/global.h \
		   ../../alsa-lib-1.2.5.1/include/asoundef.h \
		   ../../alsa-lib-1.2.5.1/include/input.h \
		   ../../alsa-lib-1.2.5.1/include/output.h \
		   ../../alsa-lib-1.2.5.1/include/error.h \
		   ../../alsa-lib-1.2.5.1/include/conf.h \
		   ../../alsa-lib-1.2.5.1/include/control.h \
		   ../../alsa-lib-1.2.5.1/include/pcm.h \
		   ../../alsa-lib-1.2.5.1/include/rawmidi.h \
		   ../../alsa-lib-1.2.5.1/include/timer.h \
		   ../../alsa-lib-1.2.5.1/include/hwdep.h \
		   ../../alsa-lib-1.2.5.1/include/seq.h \
		   ../../alsa-lib-1.2.5.1/include/seq_event.h \
		   ../../alsa-lib-1.2.5.1/include/seqmid.h \
		   ../../alsa-lib-1.2.5.1/include/seq_midi_event.h \
		   ../../alsa-lib-1.2.5.1/include/pcm_external.h \
		   ../../alsa-lib-1.2.5.1/include/pcm_extplug.h \
		   ../../alsa-lib-1.2.5.1/include/pcm_ioplug.h \
		   ../../alsa-lib-1.2.5.1/include/control_external.h \
		   ../../alsa-lib-1.2.5.1/include/mixer.h \
		   ../../alsa-lib-1.2.5.1/include/use-case.h \
		   ../../alsa-lib-1.2.5.1/include/topology.h \
		   ../../alsa-lib-1.2.5.1/src/error.c \
		   ../../alsa-lib-1.2.5.1/src/dlmisc.c \
		   ../../alsa-lib-1.2.5.1/src/async.c \
		   ../../alsa-lib-1.2.5.1/src/input.c \
		   ../../alsa-lib-1.2.5.1/src/output.c \
		   ../../alsa-lib-1.2.5.1/src/conf.c \
		   ../../alsa-lib-1.2.5.1/src/confmisc.c \
		   ../../alsa-lib-1.2.5.1/src/names.c \
		   ../../alsa-lib-1.2.5.1/src/shmarea.c \
		   ../../alsa-lib-1.2.5.1/src/userfile.c \
		   ../../alsa-lib-1.2.5.1/src/control/cards.c \
		   ../../alsa-lib-1.2.5.1/src/control/control.c \
		   ../../alsa-lib-1.2.5.1/src/control/control_plugin.c \
		   ../../alsa-lib-1.2.5.1/src/control/control_hw.c \
		   ../../alsa-lib-1.2.5.1/src/control/control_remap.c \
		   ../../alsa-lib-1.2.5.1/src/control/control_shm.c \
		   ../../alsa-lib-1.2.5.1/src/control/ctlparse.c \
		   ../../alsa-lib-1.2.5.1/src/control/hcontrol.c \
		   ../../alsa-lib-1.2.5.1/src/control/setup.c \
		   ../../alsa-lib-1.2.5.1/src/control/tlv.c \
		   ../../alsa-lib-1.2.5.1/src/mixer \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_mmap.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_plugin.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_hw.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_mmap_emul.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_shm.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_null.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_copy.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_linear.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_lfloat.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_mulaw.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_alaw.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_adpcm.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_route.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_rate.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_plug.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_file.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_multi.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_share.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_hooks.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_dmix.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_dshare.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_dsnoop.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_meter.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_ladspa.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_asym.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_iec958.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_softvol.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_extplug.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_ioplug.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_empty.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_misc.c \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_simple.c \
		   ../../alsa-lib-1.2.5.1/src/rawmidi \
		   ../../alsa-lib-1.2.5.1/src/timer \
		   ../../alsa-lib-1.2.5.1/src/hwdep \
		   ../../alsa-lib-1.2.5.1/src/seq \
		   ../../alsa-lib-1.2.5.1/src/ucm \
		   ../../alsa-lib-1.2.5.1/src/topology
EXCLUDE		 = ../../alsa-lib-1.2.5.1/src/control/control_local.h \
		   ../../alsa-lib-1.2.5.1/src/pcm/atomic.h \
		   ../../alsa-lib-1.2.5.1/src/pcm/interval.h \
		   ../../alsa-lib-1.2.5.1/src/pcm/interval_inline.h \
		   ../../alsa-lib-1.2.5.1/src/pcm/mask.h \
		   ../../alsa-lib-1.2.5.1/src/pcm/mask_inline.h \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_local.h \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_meter.h \
		   ../../alsa-lib-1.2.5.1/src/pcm/pcm_plugin.h \
		   ../../alsa-lib-1.2.5.1/src/pcm/plugin_ops.h \
		   ../../alsa-lib-1.2.5.1/src/pcm/ladspa.h \
		   ../../alsa-lib-1.2.5.1/src/hwdep/hwdep_local.h \
		   ../../alsa-lib-1.2.5.1/src/mixer/mixer_local.h \
		   ../../alsa-lib-1.2.5.1/src/rawmidi/rawmidi_local.h \
		   ../../alsa-lib-1.2.5.1/src/seq/seq_local.h \
		   ../../alsa-lib-1.2.5.1/src/ucm/ucm_local.h \
		   ../../alsa-lib-1.2.5.1/src/topology/tplg_local.h
RECURSIVE	 = YES
FILE_PATTERNS    = *.c *.h
EXAMPLE_PATH     = ../../alsa-lib-1.2.5.1/test
IMAGE_PATH	 = pictures
QUIET            = YES

EXTRACT_ALL	 = NO
EXTRACT_STATIC	 = NO
SHOW_INCLUDE_FILES = NO
JAVADOC_AUTOBRIEF = NO
INHERIT_DOCS	 = YES
ENABLED_SECTIONS = ""
MACRO_EXPANSION  = YES
EXPAND_ONLY_PREDEF = YES
PREDEFINED	 = DOXYGEN PIC "DOC_HIDDEN" \
		   "ATTRIBUTE_UNUSED=" \
		   ALSA_PCM_NEW_HW_PARAMS_API \
		   _POSIX_C_SOURCE \
		   "use_default_symbol_version(x,y,z)=" \
		   "link_warning(x,y)="

OPTIMIZE_OUTPUT_FOR_C = YES	# doxygen 1.2.6 option
TYPEDEF_HIDES_STRUCT = YES	# needed in doxygen >= 1.5.4

#INPUT_FILTER	 = inputfilter
#FILTER_SOURCE_FILES = YES

HTML_TIMESTAMP = NO
